
CoCoA-5 - Bug #279

Bug in Radical (actually a RingHom problem)

29 Nov 2012 08:17 - Anna Maria Bigatti

Status: Closed Start date: 29 Nov 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 20.00 hours

Target version: CoCoA-5.1.1 Seoul14 Spent time: 9.75 hours

Description

this gives an error:

/**/ M:=6;  Use R::=QQ[x[1..M,1..M]], DegLex;

/**/ J := ***Ideal(

x[2,4]x[3,6] - x[2,6]x[3,4],

x[1,3]x[2,4] - x[1,4]x[2,3],

x[1,2]x[4,3] - x[1,3]x[4,2],

x[1,2]x[5,4] - x[1,4]x[5,2],

x[2,4]x[5,5] - x[2,5]x[5,4],

x[1,1]x[3,4] - x[1,4]x[3,1],

x[2,3]x[6,5] - x[2,5]x[6,3]

)***;

/**/  Poincare(R/J); 

/**/  RJ := Radical(J); 

Related issues:

Related to CoCoALib - Bug #190: Subtle ref count bug for poly rings (via Coef... Closed 19 Jun 2012

Related to CoCoA-5 - Bug #382: Subtle bug with CoeffEmbeddingHom Closed 27 Jun 2013

History

#1 - 29 Nov 2012 08:20 - Anna Maria Bigatti

- Category set to Incomplete function

#2 - 25 Oct 2013 22:36 - John Abbott

Here are two more problem cases with radical

Use ZZ/(2)[x,y,z];

I := ideal(x+y,x-y);

radical(I);

Prints out some junk!  

J := ideal(x^2 +y^2, x^2 +z^2, y^2 +z^2);

radical(J);

Complains about an empty list of gens for an ideal.   

Now that SqfreeFactor has been implemented; it should be possible to fix radical.

20140903 fixed
#3 - 21 Jan 2014 18:11 - John Abbott

Here's an old(?) failing case; posting here so that we have a test suite.

Use R::=ZZ/(2)[a,b,c,d,e,f,g,h,i,j,k,l,m,n,o];

A:=Mat([

[0,a,b,c,d],

[a,0,f,g,h],

[b,f,0,j,k],

[c,g,j,0,m],

[d,h,k,m,0]

]);

B:=Mat([

[0,f,g,h,i],

[f,0,j,k,l],

[g,j,0,m,n],

[h,k,m,0,o],

[i,l,n,o,0]

]);

J:=Ideal(Minors(A,4))+Ideal(Minors(B,4));

JJ:=Radical(J); JJ;

 

20140121: in C5 gives error Empty List in ctor for ideal

20140903: fixed

#4 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#5 - 09 Apr 2014 15:04 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#6 - 14 May 2014 17:21 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

- Estimated time set to 20.00 h
20140514 JAA confirms that the original problem persists; also gives numerous memory alloc errors like this:

CoCoAInterpreter(5397) malloc: *** error for object 0x101af8ba0: incorrect checksum for freed object - object 

was probably modified after being freed.

#7 - 24 Jun 2014 10:36 - John Abbott

Here is an excerpt from CoCoA (this morning, 20140624)

>>> I:=ideal(x*y-1,(x-2)^2+(y-2)^2-2);

>>> ReducedGBasis(I);

[x*y -1, x^2 +y^2 -4*x -4*y +6, y^3 -4*y^2 +x +6*y -4]

>>> radical(I);

ideal(x*y -1, x^2 +y^2 -4*x -4*y +6, x -1)

>>> radical(I+ideal(z));

ideal(z, y -1, x -1)

 

20140625 Renzo pointed out that the result is correct but "poorly presented"; the result is indeed ideal(x-1,y-1)

20140903 this is a problem due to the output of GBasis (therefore intersect) for non-homogenous input

#8 - 21 Jul 2014 18:39 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 90

found the bug: usual ref-count bug on RINGHOM.

Found a few more little bugs in the way ;-)

#9 - 03 Sep 2014 18:25 - Anna Maria Bigatti

- Subject changed from Radical to Bug in Radical (actually a RingHom problem)

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
